classification
Title: StreamWriter.drain is not callable concurrently
Type: behavior Stage:
Components: asyncio Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: Martin.Teichmann, gvanrossum, vstinner, yselivanov
Priority: normal Keywords:

Created on 2015-06-11 14:59 by Martin.Teichmann, last changed 2015-06-12 19:23 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
patch Martin.Teichmann, 2015-06-11 14:59 A patch to asyncio/streams.py
Messages (3)
msg245172 - (view) Author: Martin Teichmann (Martin.Teichmann) * Date: 2015-06-11 14:59
Currently there is an assert statement asserting that no two
tasks (asyncio tasks, that is) can use StreamWriter.drain at
the same time. This is a weird limitiation, if there are two
tasks writing to the same network socket, there is no reason
why not both of them should drain the socket after (or before)
writing to it.

A simple bug fix is attached.
msg245245 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2015-06-12 13:09
Note that Glyph recommends against this fix (see mailing list).

On Thu, Jun 11, 2015 at 7:59 AM, Martin Teichmann <report@bugs.python.org>
wrote:

>
> New submission from Martin Teichmann:
>
> Currently there is an assert statement asserting that no two
> tasks (asyncio tasks, that is) can use StreamWriter.drain at
> the same time. This is a weird limitiation, if there are two
> tasks writing to the same network socket, there is no reason
> why not both of them should drain the socket after (or before)
> writing to it.
>
> A simple bug fix is attached.
>
> ----------
> components: asyncio
> files: patch
> messages: 245172
> nosy: Martin.Teichmann, gvanrossum, haypo, yselivanov
> priority: normal
> severity: normal
> status: open
> title: StreamWriter.drain is not callable concurrently
> type: behavior
> versions: Python 3.4, Python 3.5, Python 3.6
> Added file: http://bugs.python.org/file39681/patch
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue24431>
> _______________________________________
>
msg245269 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2015-06-12 19:23
See mailing list discussion.
History
Date User Action Args
2015-06-12 19:23:11gvanrossumsetstatus: open -> closed
resolution: rejected
messages: + msg245269
2015-06-12 13:09:41gvanrossumsetmessages: + msg245245
2015-06-11 14:59:12Martin.Teichmanncreate